package com.ifish.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * 商家会员信息
 * @author Administrator
 *
 */
@Entity
@Table(name="tbl_shops_user_info")
public class ShopsUserInfo implements Serializable {

	private static final long serialVersionUID = -1540472446611945759L;
	/**
	 * ID
	 */
	@Id
	private ShopsUserInfoId id;
	/**
	 * 会员等级
	 */
	@Column(name="member_level",nullable=false)
	private int memberLevel;
	/**
	 * 用户名称
	 */
	@Column(name="user_name",nullable=false,length=10)
	private String userName;
	/**
	 * 手机号码
	 */
	@Column(name="phone_number",nullable=false,length=11)
	private String phoneNumber;
	/**
	 * 省
	 */
	@Column(name="province",nullable=false,length=30)
	private String province;
	/**
	 * 市
	 */
	@Column(name="city",nullable=false,length=30)
	private String city;
	/**
	 * 区
	 */
	@Column(name="area",nullable=false,length=30)
	private String area;
	/**
	 * 地址
	 */
	@Column(name="address",nullable=false,length=100)
	private String address;
	/**
	 * 备注
	 */
	@Column(name="remark",nullable=false,length=50)
	private String remark;
	/**
	 * 修改时间
	 */
	@Column(name="update_time")
	@Temporal(TemporalType.TIMESTAMP)
	private Date updateTime;
	
	/**
	 * 创建时间
	 */
	@Column(name="create_time")
	@Temporal(TemporalType.TIMESTAMP)
	private Date createTime;
	
	public ShopsUserInfo() {}
	
	public ShopsUserInfo(ShopsUserInfoId id, int memberLevel) {
		this.id = id;
		this.memberLevel = memberLevel;
	}

	public ShopsUserInfoId getId() {
		return id;
	}
	public void setId(ShopsUserInfoId id) {
		this.id = id;
	}
	public int getMemberLevel() {
		return memberLevel;
	}
	public void setMemberLevel(int memberLevel) {
		this.memberLevel = memberLevel;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public String getPhoneNumber() {
		return phoneNumber;
	}
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
}
